Bug 1203824 - [abrt] fwupd: g_variant_valist_new_nnp(): fwupd killed by SIGTRAP
Summary: [abrt] fwupd: g_variant_valist_new_nnp(): fwupd killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fwupd
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5f5f275fc00a333de0949dd9abf...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-19 18:18 UTC by Török Edwin
Modified: 2016-07-19 13:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 13:05:52 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (38.45 KB, text/plain)
2015-03-19 18:18 UTC, Török Edwin
no flags Details
File: cgroup (188 bytes, text/plain)
2015-03-19 18:18 UTC, Török Edwin
no flags Details
File: core_backtrace (18.25 KB, text/plain)
2015-03-19 18:18 UTC, Török Edwin
no flags Details
File: dso_list (8.78 KB, text/plain)
2015-03-19 18:18 UTC, Török Edwin
no flags Details
File: environ (88 bytes, text/plain)
2015-03-19 18:19 UTC, Török Edwin
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-19 18:19 UTC, Török Edwin
no flags Details
File: maps (42.67 KB, text/plain)
2015-03-19 18:19 UTC, Török Edwin
no flags Details
File: open_fds (928 bytes, text/plain)
2015-03-19 18:19 UTC, Török Edwin
no flags Details
File: proc_pid_status (918 bytes, text/plain)
2015-03-19 18:19 UTC, Török Edwin
no flags Details
File: var_log_messages (17.95 KB, text/plain)
2015-03-19 18:19 UTC, Török Edwin
no flags Details

Description Török Edwin 2015-03-19 18:18:52 UTC
Description of problem:
Plug in ColorHug with firmware 1.2.1
Run 'fwupdmgr get-devices' which successfully displays the device and its version
Run colorhug-flash and update firmware to 1.2.3
Unplug device
Plug device back in
Run `fwupdmgr get-devices`, it displays an error: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Look in dmesg, see that it crashed (trap int3)
This is repeatable, now fwupdmgr crashes all the time

Version-Release number of selected component:
fwupd-0.1.0-1.fc22

Additional info:
reporter:       libreport-2.4.0
backtrace_rating: 4
cmdline:        /usr/libexec/fwupd
crash_function: g_variant_valist_new_nnp
executable:     /usr/libexec/fwupd
kernel:         4.0.0-0.rc1.git0.1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_variant_valist_new_nnp at /lib64/libglib-2.0.so.0
 #3 g_variant_valist_new at /lib64/libglib-2.0.so.0
 #5 g_variant_new_va at /lib64/libglib-2.0.so.0
 #6 g_variant_new at /lib64/libglib-2.0.so.0
 #7 fu_main_device_array_to_variant at fu-main.c:153
 #8 fu_main_daemon_method_call at fu-main.c:461
 #9 call_in_idle_cb at /lib64/libgio-2.0.so.0
 #11 g_main_context_iterate.isra at /lib64/libglib-2.0.so.0
 #13 ch_device_queue_process at ch-device-queue.c:492
 #14 fu_provider_chug_get_firmware_version at fu-provider-chug.c:170

Comment 1 Török Edwin 2015-03-19 18:18:55 UTC
Created attachment 1003928 [details]
File: backtrace

Comment 2 Török Edwin 2015-03-19 18:18:56 UTC
Created attachment 1003929 [details]
File: cgroup

Comment 3 Török Edwin 2015-03-19 18:18:58 UTC
Created attachment 1003930 [details]
File: core_backtrace

Comment 4 Török Edwin 2015-03-19 18:18:59 UTC
Created attachment 1003931 [details]
File: dso_list

Comment 5 Török Edwin 2015-03-19 18:19:00 UTC
Created attachment 1003932 [details]
File: environ

Comment 6 Török Edwin 2015-03-19 18:19:02 UTC
Created attachment 1003933 [details]
File: limits

Comment 7 Török Edwin 2015-03-19 18:19:03 UTC
Created attachment 1003934 [details]
File: maps

Comment 8 Török Edwin 2015-03-19 18:19:05 UTC
Created attachment 1003935 [details]
File: open_fds

Comment 9 Török Edwin 2015-03-19 18:19:06 UTC
Created attachment 1003936 [details]
File: proc_pid_status

Comment 10 Török Edwin 2015-03-19 18:19:08 UTC
Created attachment 1003937 [details]
File: var_log_messages

Comment 11 Richard Hughes 2016-01-08 10:54:57 UTC
I think this is fixed in f23, right?

Comment 12 Török Edwin 2016-01-08 21:02:26 UTC
It is, I mentioned this on bodhi: https://bodhi.fedoraproject.org/updates/fwupd-0.1.4-1.fc22#comment-118687

Comment 13 Fedora End Of Life 2016-07-19 13:05:52 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.